aboutsummaryrefslogtreecommitdiff
path: root/.config/yambar/scripts/calendar.sh
diff options
context:
space:
mode:
authorJustine Smithies <justine@smithies.me.uk>2023-10-11 18:21:52 +0100
committerJustine Smithies <justine@smithies.me.uk>2023-10-11 18:21:52 +0100
commit786f9c22fab19de866566de4c7933aef416a1462 (patch)
tree512c3563b43a511171979604d6a2a09a4b68c50a /.config/yambar/scripts/calendar.sh
parentba6e0a870faa3306b1e15bd03460b2faa30ceb37 (diff)
Switched to River
Diffstat (limited to '.config/yambar/scripts/calendar.sh')
-rwxr-xr-x.config/yambar/scripts/calendar.sh26
1 files changed, 26 insertions, 0 deletions
diff --git a/.config/yambar/scripts/calendar.sh b/.config/yambar/scripts/calendar.sh
new file mode 100755
index 0000000..d066cf8
--- /dev/null
+++ b/.config/yambar/scripts/calendar.sh
@@ -0,0 +1,26 @@
+#!/bin/bash
+
+# Calendar script
+
+function ShowCalendar() {
+ dunstify -i "calendar" "  Calendar" "$(cal --color=always | sed "s/..7m/<b><span color=\"#fabd2f\">/;s/..27m/<\/span><\/b>/")" -r 124
+}
+
+function EditCalendar() {
+ echo
+}
+
+case "$1" in
+ show)
+ ShowCalendar
+ ;;
+
+ edit)
+ EditCalendar
+ ;;
+
+ *)
+ echo $"Usage: ${0##*/} {show|edit}"
+ exit 1
+
+esac